package myturtleproj;

import unit4.turtleLib.Turtle;

/**
 *  Document   : TurtleDist
 *  Created on : 06/12/2011, 10:19:40
 *  Author     : user
 */
public class MyTurtle extends Turtle
{
    private double distance;
    public MyTurtle()
    {
        super();
        this.distance = 0;
    }
    @Override
    public void moveForward(double x)
    {
        this.distance += x;
        super.moveForward(x);
    }
    @Override
    public void moveBackward(double x)
    {
        this.distance += x;
        super.moveForward(-x);
    }
    public double getDistance()
    {
        return this.distance;
    }
    public void reset()
    {
    	distance = 0;
    }
}
